### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class NameNotUniqueImportException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.deployment.ServiceDeploymentImportException
com.sas.services.deployment.NameNotUniqueImportException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class NameNotUniqueImportException extends ServiceDeploymentImportException
Exception indicating that an attempt was made to import a foundation services deployment with a non-unique name.

Since:
  9.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameNotUniqueImportException(String[] serviceDeploymentNames)`
  Constructs an exception in response to a failure to import a foundation services deployment into a SAS Metadata Repository because the name specified in the file is already defined in the repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getMessage(String[] serviceDeploymentNames)`
  Constructs a message to detail a failure to import specified foundation services deployment(s) into a SAS Metadata Repository.

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NameNotUniqueImportException

    public NameNotUniqueImportException(String[] serviceDeploymentNames)
    Constructs an exception in response to a failure to import a foundation services deployment into a SAS Metadata Repository because the name specified in the file is already defined in the repository.
    Parameters:
      `serviceDeploymentNames` - Names of the service deployments which are not unique.

- ## Method Details

  - ### getMessage

    public static String getMessage(String[] serviceDeploymentNames)
    Constructs a message to detail a failure to import specified foundation services deployment(s) into a SAS Metadata Repository. Foundation services deployment names must be uniquely named within a repository.
    Parameters:
      `serviceDeploymentNames` - Foundation service deployment name(s).
    Returns:
      Message detailing a failure to import foundation services.